Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:b500/120
First address
2c19:dd:d9:dd:c25:c25:94de:b500
Last address
2c19:dd:d9:dd:c25:c25:94de:b5ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:b500
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.b.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/127

2c19:dd:d9:dd:c25:c25:94de:b500/120 makes 128 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:b500/1272c19:dd:d9:dd:c25:c25:94de:b501
22c19:dd:d9:dd:c25:c25:94de:b502/1272c19:dd:d9:dd:c25:c25:94de:b503
32c19:dd:d9:dd:c25:c25:94de:b504/1272c19:dd:d9:dd:c25:c25:94de:b505
42c19:dd:d9:dd:c25:c25:94de:b506/1272c19:dd:d9:dd:c25:c25:94de:b507
52c19:dd:d9:dd:c25:c25:94de:b508/1272c19:dd:d9:dd:c25:c25:94de:b509
62c19:dd:d9:dd:c25:c25:94de:b50a/1272c19:dd:d9:dd:c25:c25:94de:b50b
72c19:dd:d9:dd:c25:c25:94de:b50c/1272c19:dd:d9:dd:c25:c25:94de:b50d
82c19:dd:d9:dd:c25:c25:94de:b50e/1272c19:dd:d9:dd:c25:c25:94de:b50f
92c19:dd:d9:dd:c25:c25:94de:b510/1272c19:dd:d9:dd:c25:c25:94de:b511
102c19:dd:d9:dd:c25:c25:94de:b512/1272c19:dd:d9:dd:c25:c25:94de:b513
112c19:dd:d9:dd:c25:c25:94de:b514/1272c19:dd:d9:dd:c25:c25:94de:b515
122c19:dd:d9:dd:c25:c25:94de:b516/1272c19:dd:d9:dd:c25:c25:94de:b517
132c19:dd:d9:dd:c25:c25:94de:b518/1272c19:dd:d9:dd:c25:c25:94de:b519
142c19:dd:d9:dd:c25:c25:94de:b51a/1272c19:dd:d9:dd:c25:c25:94de:b51b
152c19:dd:d9:dd:c25:c25:94de:b51c/1272c19:dd:d9:dd:c25:c25:94de:b51d
162c19:dd:d9:dd:c25:c25:94de:b51e/1272c19:dd:d9:dd:c25:c25:94de:b51f
172c19:dd:d9:dd:c25:c25:94de:b520/1272c19:dd:d9:dd:c25:c25:94de:b521
182c19:dd:d9:dd:c25:c25:94de:b522/1272c19:dd:d9:dd:c25:c25:94de:b523
192c19:dd:d9:dd:c25:c25:94de:b524/1272c19:dd:d9:dd:c25:c25:94de:b525
202c19:dd:d9:dd:c25:c25:94de:b526/1272c19:dd:d9:dd:c25:c25:94de:b527
212c19:dd:d9:dd:c25:c25:94de:b528/1272c19:dd:d9:dd:c25:c25:94de:b529
222c19:dd:d9:dd:c25:c25:94de:b52a/1272c19:dd:d9:dd:c25:c25:94de:b52b
232c19:dd:d9:dd:c25:c25:94de:b52c/1272c19:dd:d9:dd:c25:c25:94de:b52d
242c19:dd:d9:dd:c25:c25:94de:b52e/1272c19:dd:d9:dd:c25:c25:94de:b52f
252c19:dd:d9:dd:c25:c25:94de:b530/1272c19:dd:d9:dd:c25:c25:94de:b531
262c19:dd:d9:dd:c25:c25:94de:b532/1272c19:dd:d9:dd:c25:c25:94de:b533
272c19:dd:d9:dd:c25:c25:94de:b534/1272c19:dd:d9:dd:c25:c25:94de:b535
282c19:dd:d9:dd:c25:c25:94de:b536/1272c19:dd:d9:dd:c25:c25:94de:b537
292c19:dd:d9:dd:c25:c25:94de:b538/1272c19:dd:d9:dd:c25:c25:94de:b539
302c19:dd:d9:dd:c25:c25:94de:b53a/1272c19:dd:d9:dd:c25:c25:94de:b53b
312c19:dd:d9:dd:c25:c25:94de:b53c/1272c19:dd:d9:dd:c25:c25:94de:b53d
322c19:dd:d9:dd:c25:c25:94de:b53e/1272c19:dd:d9:dd:c25:c25:94de:b53f
332c19:dd:d9:dd:c25:c25:94de:b540/1272c19:dd:d9:dd:c25:c25:94de:b541
342c19:dd:d9:dd:c25:c25:94de:b542/1272c19:dd:d9:dd:c25:c25:94de:b543
352c19:dd:d9:dd:c25:c25:94de:b544/1272c19:dd:d9:dd:c25:c25:94de:b545
362c19:dd:d9:dd:c25:c25:94de:b546/1272c19:dd:d9:dd:c25:c25:94de:b547
372c19:dd:d9:dd:c25:c25:94de:b548/1272c19:dd:d9:dd:c25:c25:94de:b549
382c19:dd:d9:dd:c25:c25:94de:b54a/1272c19:dd:d9:dd:c25:c25:94de:b54b
392c19:dd:d9:dd:c25:c25:94de:b54c/1272c19:dd:d9:dd:c25:c25:94de:b54d
402c19:dd:d9:dd:c25:c25:94de:b54e/1272c19:dd:d9:dd:c25:c25:94de:b54f
412c19:dd:d9:dd:c25:c25:94de:b550/1272c19:dd:d9:dd:c25:c25:94de:b551
422c19:dd:d9:dd:c25:c25:94de:b552/1272c19:dd:d9:dd:c25:c25:94de:b553
432c19:dd:d9:dd:c25:c25:94de:b554/1272c19:dd:d9:dd:c25:c25:94de:b555
442c19:dd:d9:dd:c25:c25:94de:b556/1272c19:dd:d9:dd:c25:c25:94de:b557
452c19:dd:d9:dd:c25:c25:94de:b558/1272c19:dd:d9:dd:c25:c25:94de:b559
462c19:dd:d9:dd:c25:c25:94de:b55a/1272c19:dd:d9:dd:c25:c25:94de:b55b
472c19:dd:d9:dd:c25:c25:94de:b55c/1272c19:dd:d9:dd:c25:c25:94de:b55d
482c19:dd:d9:dd:c25:c25:94de:b55e/1272c19:dd:d9:dd:c25:c25:94de:b55f
492c19:dd:d9:dd:c25:c25:94de:b560/1272c19:dd:d9:dd:c25:c25:94de:b561
502c19:dd:d9:dd:c25:c25:94de:b562/1272c19:dd:d9:dd:c25:c25:94de:b563
512c19:dd:d9:dd:c25:c25:94de:b564/1272c19:dd:d9:dd:c25:c25:94de:b565
522c19:dd:d9:dd:c25:c25:94de:b566/1272c19:dd:d9:dd:c25:c25:94de:b567
532c19:dd:d9:dd:c25:c25:94de:b568/1272c19:dd:d9:dd:c25:c25:94de:b569
542c19:dd:d9:dd:c25:c25:94de:b56a/1272c19:dd:d9:dd:c25:c25:94de:b56b
552c19:dd:d9:dd:c25:c25:94de:b56c/1272c19:dd:d9:dd:c25:c25:94de:b56d
562c19:dd:d9:dd:c25:c25:94de:b56e/1272c19:dd:d9:dd:c25:c25:94de:b56f
572c19:dd:d9:dd:c25:c25:94de:b570/1272c19:dd:d9:dd:c25:c25:94de:b571
582c19:dd:d9:dd:c25:c25:94de:b572/1272c19:dd:d9:dd:c25:c25:94de:b573
592c19:dd:d9:dd:c25:c25:94de:b574/1272c19:dd:d9:dd:c25:c25:94de:b575
602c19:dd:d9:dd:c25:c25:94de:b576/1272c19:dd:d9:dd:c25:c25:94de:b577
612c19:dd:d9:dd:c25:c25:94de:b578/1272c19:dd:d9:dd:c25:c25:94de:b579
622c19:dd:d9:dd:c25:c25:94de:b57a/1272c19:dd:d9:dd:c25:c25:94de:b57b
632c19:dd:d9:dd:c25:c25:94de:b57c/1272c19:dd:d9:dd:c25:c25:94de:b57d
642c19:dd:d9:dd:c25:c25:94de:b57e/1272c19:dd:d9:dd:c25:c25:94de:b57f
652c19:dd:d9:dd:c25:c25:94de:b580/1272c19:dd:d9:dd:c25:c25:94de:b581
662c19:dd:d9:dd:c25:c25:94de:b582/1272c19:dd:d9:dd:c25:c25:94de:b583
672c19:dd:d9:dd:c25:c25:94de:b584/1272c19:dd:d9:dd:c25:c25:94de:b585
682c19:dd:d9:dd:c25:c25:94de:b586/1272c19:dd:d9:dd:c25:c25:94de:b587
692c19:dd:d9:dd:c25:c25:94de:b588/1272c19:dd:d9:dd:c25:c25:94de:b589
702c19:dd:d9:dd:c25:c25:94de:b58a/1272c19:dd:d9:dd:c25:c25:94de:b58b
712c19:dd:d9:dd:c25:c25:94de:b58c/1272c19:dd:d9:dd:c25:c25:94de:b58d
722c19:dd:d9:dd:c25:c25:94de:b58e/1272c19:dd:d9:dd:c25:c25:94de:b58f
732c19:dd:d9:dd:c25:c25:94de:b590/1272c19:dd:d9:dd:c25:c25:94de:b591
742c19:dd:d9:dd:c25:c25:94de:b592/1272c19:dd:d9:dd:c25:c25:94de:b593
752c19:dd:d9:dd:c25:c25:94de:b594/1272c19:dd:d9:dd:c25:c25:94de:b595
762c19:dd:d9:dd:c25:c25:94de:b596/1272c19:dd:d9:dd:c25:c25:94de:b597
772c19:dd:d9:dd:c25:c25:94de:b598/1272c19:dd:d9:dd:c25:c25:94de:b599
782c19:dd:d9:dd:c25:c25:94de:b59a/1272c19:dd:d9:dd:c25:c25:94de:b59b
792c19:dd:d9:dd:c25:c25:94de:b59c/1272c19:dd:d9:dd:c25:c25:94de:b59d
802c19:dd:d9:dd:c25:c25:94de:b59e/1272c19:dd:d9:dd:c25:c25:94de:b59f
812c19:dd:d9:dd:c25:c25:94de:b5a0/1272c19:dd:d9:dd:c25:c25:94de:b5a1
822c19:dd:d9:dd:c25:c25:94de:b5a2/1272c19:dd:d9:dd:c25:c25:94de:b5a3
832c19:dd:d9:dd:c25:c25:94de:b5a4/1272c19:dd:d9:dd:c25:c25:94de:b5a5
842c19:dd:d9:dd:c25:c25:94de:b5a6/1272c19:dd:d9:dd:c25:c25:94de:b5a7
852c19:dd:d9:dd:c25:c25:94de:b5a8/1272c19:dd:d9:dd:c25:c25:94de:b5a9
862c19:dd:d9:dd:c25:c25:94de:b5aa/1272c19:dd:d9:dd:c25:c25:94de:b5ab
872c19:dd:d9:dd:c25:c25:94de:b5ac/1272c19:dd:d9:dd:c25:c25:94de:b5ad
882c19:dd:d9:dd:c25:c25:94de:b5ae/1272c19:dd:d9:dd:c25:c25:94de:b5af
892c19:dd:d9:dd:c25:c25:94de:b5b0/1272c19:dd:d9:dd:c25:c25:94de:b5b1
902c19:dd:d9:dd:c25:c25:94de:b5b2/1272c19:dd:d9:dd:c25:c25:94de:b5b3
912c19:dd:d9:dd:c25:c25:94de:b5b4/1272c19:dd:d9:dd:c25:c25:94de:b5b5
922c19:dd:d9:dd:c25:c25:94de:b5b6/1272c19:dd:d9:dd:c25:c25:94de:b5b7
932c19:dd:d9:dd:c25:c25:94de:b5b8/1272c19:dd:d9:dd:c25:c25:94de:b5b9
942c19:dd:d9:dd:c25:c25:94de:b5ba/1272c19:dd:d9:dd:c25:c25:94de:b5bb
952c19:dd:d9:dd:c25:c25:94de:b5bc/1272c19:dd:d9:dd:c25:c25:94de:b5bd
962c19:dd:d9:dd:c25:c25:94de:b5be/1272c19:dd:d9:dd:c25:c25:94de:b5bf
972c19:dd:d9:dd:c25:c25:94de:b5c0/1272c19:dd:d9:dd:c25:c25:94de:b5c1
982c19:dd:d9:dd:c25:c25:94de:b5c2/1272c19:dd:d9:dd:c25:c25:94de:b5c3
992c19:dd:d9:dd:c25:c25:94de:b5c4/1272c19:dd:d9:dd:c25:c25:94de:b5c5
1002c19:dd:d9:dd:c25:c25:94de:b5c6/1272c19:dd:d9:dd:c25:c25:94de:b5c7
1012c19:dd:d9:dd:c25:c25:94de:b5c8/1272c19:dd:d9:dd:c25:c25:94de:b5c9
1022c19:dd:d9:dd:c25:c25:94de:b5ca/1272c19:dd:d9:dd:c25:c25:94de:b5cb
1032c19:dd:d9:dd:c25:c25:94de:b5cc/1272c19:dd:d9:dd:c25:c25:94de:b5cd
1042c19:dd:d9:dd:c25:c25:94de:b5ce/1272c19:dd:d9:dd:c25:c25:94de:b5cf
1052c19:dd:d9:dd:c25:c25:94de:b5d0/1272c19:dd:d9:dd:c25:c25:94de:b5d1
1062c19:dd:d9:dd:c25:c25:94de:b5d2/1272c19:dd:d9:dd:c25:c25:94de:b5d3
1072c19:dd:d9:dd:c25:c25:94de:b5d4/1272c19:dd:d9:dd:c25:c25:94de:b5d5
1082c19:dd:d9:dd:c25:c25:94de:b5d6/1272c19:dd:d9:dd:c25:c25:94de:b5d7
1092c19:dd:d9:dd:c25:c25:94de:b5d8/1272c19:dd:d9:dd:c25:c25:94de:b5d9
1102c19:dd:d9:dd:c25:c25:94de:b5da/1272c19:dd:d9:dd:c25:c25:94de:b5db
1112c19:dd:d9:dd:c25:c25:94de:b5dc/1272c19:dd:d9:dd:c25:c25:94de:b5dd
1122c19:dd:d9:dd:c25:c25:94de:b5de/1272c19:dd:d9:dd:c25:c25:94de:b5df
1132c19:dd:d9:dd:c25:c25:94de:b5e0/1272c19:dd:d9:dd:c25:c25:94de:b5e1
1142c19:dd:d9:dd:c25:c25:94de:b5e2/1272c19:dd:d9:dd:c25:c25:94de:b5e3
1152c19:dd:d9:dd:c25:c25:94de:b5e4/1272c19:dd:d9:dd:c25:c25:94de:b5e5
1162c19:dd:d9:dd:c25:c25:94de:b5e6/1272c19:dd:d9:dd:c25:c25:94de:b5e7
1172c19:dd:d9:dd:c25:c25:94de:b5e8/1272c19:dd:d9:dd:c25:c25:94de:b5e9
1182c19:dd:d9:dd:c25:c25:94de:b5ea/1272c19:dd:d9:dd:c25:c25:94de:b5eb
1192c19:dd:d9:dd:c25:c25:94de:b5ec/1272c19:dd:d9:dd:c25:c25:94de:b5ed
1202c19:dd:d9:dd:c25:c25:94de:b5ee/1272c19:dd:d9:dd:c25:c25:94de:b5ef
1212c19:dd:d9:dd:c25:c25:94de:b5f0/1272c19:dd:d9:dd:c25:c25:94de:b5f1
1222c19:dd:d9:dd:c25:c25:94de:b5f2/1272c19:dd:d9:dd:c25:c25:94de:b5f3
1232c19:dd:d9:dd:c25:c25:94de:b5f4/1272c19:dd:d9:dd:c25:c25:94de:b5f5
1242c19:dd:d9:dd:c25:c25:94de:b5f6/1272c19:dd:d9:dd:c25:c25:94de:b5f7
1252c19:dd:d9:dd:c25:c25:94de:b5f8/1272c19:dd:d9:dd:c25:c25:94de:b5f9
1262c19:dd:d9:dd:c25:c25:94de:b5fa/1272c19:dd:d9:dd:c25:c25:94de:b5fb
1272c19:dd:d9:dd:c25:c25:94de:b5fc/1272c19:dd:d9:dd:c25:c25:94de:b5fd
1282c19:dd:d9:dd:c25:c25:94de:b5fe/1272c19:dd:d9:dd:c25:c25:94de:b5ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses